export default TestSuite;
declare class TestSuite extends ChildrenSorterStrategy {
    testAligned(): void;
    testBaselineAligned1(): void;
    testBaselineAligned2(): void;
    testEvents(): void;
    testEventsComplex(): void;
    testDisconnect(): void;
    testReconnect(): void;
    testRemoveNode(): void;
    testSize(): void;
    testReconnectSingleNode(): void;
    _plotPrediction(canvas: any, prediction: any): void;
}
declare namespace TestSuite {
    namespace NODE_SIZE {
        const width: number;
        const height: number;
    }
    namespace ROOT_NODE_SIZE {
        const width_1: number;
        export { width_1 as width };
        const height_1: number;
        export { height_1 as height };
    }
}
import ChildrenSorterStrategy from "../../../../src/components/layout/ChildrenSorterStrategy";
